Verifica la compatibilità del tema e dei plugin di WordPress con PHP 7 - Winhelponline

Check Wordpress

Verifica compatibilità PHP 7

Sono passati più di 7 mesi dal rilascio di PHP 7 , ma solo meno del 2% del totale dei siti basati su WordPress esegue PHP 7, secondo le statistiche. Ormai, la maggior parte dei fornitori di servizi di hosting avrebbe aggiunto l'opzione PHP 7 nel pannello di controllo dell'hosting per i propri clienti. Cosa c'è di così speciale in PHP 7?

L'infografica di Zend.com sopra mostra chiaramente la potenza di PHP 7 e chi non vorrebbe un file 2x aumento di velocità che PHP 7 fornisce ( rispetto a 5.6 )? Kinsta ha un file pagina dei risultati del benchmark qui , ma differiscono nella parte HHVM. Ad ogni modo, questo post non riguarda HHVM vs PHP 7.



Se stai utilizzando un framework o un tema che non è stato aggiornato da molto tempo, è meglio passare a un tema premium / compatibile con PHP 7. Lo stesso vale per i plugin di WordPress. Non vuoi che un Plugin obsoleto rallenti o blocchi il tuo sito dopo essere passato a PHP 7. Alcune funzioni PHP deprecate in 5.x sono state completamente rimosse in PHP 7.



Prima di attivare l'opzione PHP 7 nel pannello di controllo dell'hosting, potresti prima dare il Plugin di verifica della compatibilità PHP un colpo. Questo plugin è stato rilasciato da WP Engine, uno dei principali provider di hosting WordPress. Il Controllo di compatibilità PHP Plugin ti dice se il tuo tema attuale e i plugin installati supportano PHP 7 o meno. Dalla dashboard di amministrazione di WordPress, cerca e installa PHP Compatibility Checker (da WP Engine) e attivalo.



Verifica compatibilità PHP 7

Dal menu Strumenti e fai clic su Compatibilità PHP. Seleziona PHP 7 e fai clic su Esegui.

Verifica compatibilità PHP 7



Nel mio sito di test, la maggior parte dei plug-in attivi e il tema corrente erano elencati compatibili, ad eccezione del plug-in premium fornito dallo sviluppatore del tema. È contrassegnato come incompatibile a causa di una singola riga di codice che fa riferimento a una funzione che è stata interrotta in PHP 7. Se si riscontrano troppi errori di questo tipo, contattare lo sviluppatore del tema per un aggiornamento.

Verifica compatibilità PHP 7

Se non hai ancora eseguito l'aggiornamento a PHP 7, fallo adesso!

Lettura interessante qui

Prepararsi per PHP 7 | DigitalOcean

PHP 7: La via del futuro | WPEngine

Il definitivo PHP 7 (versione finale) e il benchmark HHVM

Verifica compatibilità PHP 7: prepara il tuo sito per PHP 7 | WPEngine


Una piccola richiesta: se ti è piaciuto questo post, condividilo?

Una tua 'minuscola' condivisione aiuterebbe seriamente la crescita di questo blog. Alcuni ottimi suggerimenti:
  • Fissalo!
  • Condividilo sul tuo blog preferito + Facebook, Reddit
  • Tweet it!
Quindi grazie mille per il tuo supporto, mio ​​lettore. Non ci vorranno più di 10 secondi del tuo tempo. I pulsanti di condivisione sono proprio sotto. :)